<%@page import="java.util.*,java.io.*" %>
<%

/* Get the values of the parameters passed in 
 * by doPost method in the jPost applet
 */

String itemName = request.getParameter("itemName");
String itemQuantity = request.getParameter("itemQuantity");
String userID = request.getParameter("userID");
String itemID = request.getParameter("itemID");

boolean success = false;

/* Check the database to see if the itemID is already in the user's cart
 * (example SQL: select count(item_id) from cart where user_id=userID and item_id=itemID)
 * If the count is zero, indicating that the item was not previously
 * in the cart, then do an INSERT into the database
 * (example SQL: insert into cart (user_id, item_id, item_quantity) values (userID, itemID, itemQuantity);
 * otherwise do an UPDATE to modify the quantity
 * (example SQL: update cart set item_quantity = itemQuantity where user_id=userID and item_id=itemID
 *
 * You could at this point decide to modify the message sent to the user to distinguish
 * between an item that was ADDED to the cart (INSERT) as opposed to an item whose quantity was
 * CHANGED (UPDATE) so that the customer is not left wondering if the process of
 * channging from the selection of 2 steaks to 3 steaks infact added the 3 steaks to the 2 steaks
 * instead of overwriting the quanitity.
 */

/* Setting success = true since no database connections
 * are being made for this demo and nothing will go wrong
 * In the real code, all errors should be caught and only under
 * the condition that no errors were encountered, should success
 * be set to true.
 */
success = true;

/* If the transaction was a success,
 * return the output to be displayed in the applet.
 * Otherwise return the value of "errorReturnCode" as
 * specified in the applet parameter tag of that name
 */

if (success) {
	out.print("-^-^Item:        |BOLD^-^"+itemName);
	out.println("|-^-^~|-^-^Quantity: |BOLD^-^"+itemQuantity);
} else {
	out.println("error");
}

%>
